Page MenuHomePhabricator

Search by exonym (e.g. "Dutch" for nl) not working in language search dialog
Closed, ResolvedPublic

Description

Searching for languages by exonym (the name of that language in the user's language, rather than the name of that language in the language itself) doesn't work anymore.

  • Open VE
  • Open the language inspector (open the style dropdown, click "more", select "Language")
  • Open the language search dialog (click on the "..." button)
  • Type "nl"; this successfully finds "Nederlands (nl)"
  • Type "Nederlands"; this successfully finds the same thing
  • Type "Dutch"; this should also find nl, but it doesn't

Event Timeline

Catrope created this task.Feb 12 2020, 10:48 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 12 2020, 10:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 571819 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] mediawiki.language: Rename languageData back to languageNames

https://gerrit.wikimedia.org/r/571819

Change 571819 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.language: Rename languageData back to languageNames

https://gerrit.wikimedia.org/r/571819

Change 571829 had a related patch set uploaded (by Jforrester; owner: Catrope):
[mediawiki/core@REL1_34] mediawiki.language: Rename languageData back to languageNames

https://gerrit.wikimedia.org/r/571829

Change 571830 had a related patch set uploaded (by Jforrester; owner: Catrope):
[mediawiki/core@REL1_33] mediawiki.language: Rename languageData back to languageNames

https://gerrit.wikimedia.org/r/571830

Change 571830 merged by jenkins-bot:
[mediawiki/core@REL1_33] mediawiki.language: Rename languageData back to languageNames

https://gerrit.wikimedia.org/r/571830

Change 571829 merged by jenkins-bot:
[mediawiki/core@REL1_34] mediawiki.language: Rename languageData back to languageNames

https://gerrit.wikimedia.org/r/571829

matmarex moved this task from To Triage to Triaged on the VisualEditor board.Feb 26 2020, 11:19 PM
Ryasmeen edited projects, added Verified; removed Editing QA.
JTannerWMF reassigned this task from Catrope to marcella.Mar 20 2020, 9:54 AM
ppelberg closed this task as Resolved.Apr 11 2020, 12:48 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 11 2020, 12:48 AM